%define	snap 20040615

%define	major 1
%define libname %mklibname nbs %{major}
%define develname %mklibname nbs -d

Summary:	Network Broadcast Sound Daemon
Name:		nbs
Version:	1.0
Release:	%mkrel 0.%{snap}.9
License:	GPL
Group:		System/Servers
URL:		https://www.asterisk.org/
Source0:	%{name}-%{version}-%{snap}.tar.bz2
Source1:	nbsd.init
Patch0:		nbs-1.0-20040615-mdk.diff
Patch1:		nbs-1.0-20040615-socket_path.diff
BuildConflicts:	%{name}-devel

%description
Network Broadcast Sound Daemon

%package -n	%{libname}
Summary:	Network Broadcast Sound Daemon Library
Group:          System/Libraries

%description -n	%{libname}
Network Broadcast Sound Daemon Library

%package -n	%{develname}
Summary:	Development files for the Network Broadcast Sound Daemon Library
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	libnbs-devel = %{version}-%{release}
Obsoletes:	%{mklibname nbs -d 1}

%description -n	%{develname}
Development files for the Network Broadcast Sound Daemon Library

This package contains the static nbs library and its header
files.

%package	server
Summary:	Network Broadcast Sound Daemon
Group:          System/Servers
Requires(post): rpm-helper
Requires(preun): rpm-helper

%description	server
Network Broadcast Sound Daemon

%package	client
Summary:	Network Broadcast Sound Daemon (Client Listener)
Group:          System/Servers

%description	client
Network Broadcast Sound Daemon (Client Listener)

%prep

%setup -q -n %{name}-%{version}-%{snap}
%patch0 -p0 -b .mdk
%patch1 -p0 -b .socket

cp %{SOURCE1} nbsd.init

%build

%make_build

%install
# don't fiddle with the initscript!
export DONT_GPRINTIFY=1

install -d %{buildroot}%{_includedir}
install -d %{buildroot}%{_initrddir}
install -d %{buildroot}%{_localstatedir}/lib/nbsd
install -d %{buildroot}%{_libdir}
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_sbindir}

install -m0755 libnbs.so.%{major}.0 %{buildroot}%{_libdir}/
ln -snf libnbs.so.%{major}.0 %{buildroot}%{_libdir}/libnbs.so.%{major}
ln -snf libnbs.so.%{major}.0 %{buildroot}%{_libdir}/libnbs.so

install -m0644 nbs.h %{buildroot}%{_includedir}/
install -m0755 nbscat %{buildroot}%{_bindir}/
install -m0755 nbscat8k %{buildroot}%{_bindir}/
install -m0755 nbsd %{buildroot}%{_sbindir}/
install -m0755 nbsd.init %{buildroot}%{_initrddir}/nbsd

%post server
%_post_service nbsd

%preun server
%_preun_service nbsd

%files -n %{libname}
%{_libdir}/*.so.*

%files -n %{develname}
%{_includedir}/*.h
%{_libdir}/*.so

%files server
%attr(0755,root,root) %{_initrddir}/nbsd
%{_sbindir}/nbsd
%dir %{_localstatedir}/lib/nbsd

%files client
%{_bindir}/nbscat
%{_bindir}/nbscat8k



%changelog
* Tue Mar 15 2022 umeabot <umeabot> 1.0-0.20040615.9.mga9
+ Revision: 1792153
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 umeabot <umeabot> 1.0-0.20040615.8.mga8
+ Revision: 1515325
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1.0-0.20040615.7.mga7
+ Revision: 1299679
- Mageia 7 Mass Rebuild

* Sat Feb 06 2016 umeabot <umeabot> 1.0-0.20040615.6.mga6
+ Revision: 940725
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0-0.20040615.5.mga5
+ Revision: 742205
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0-0.20040615.4.mga5
+ Revision: 682810
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0-0.20040615.3.mga4
+ Revision: 508124
- Mageia 4 Mass Rebuild
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Sep 25 2012 oden <oden> 1.0-0.20040615.1.mga3
+ Revision: 297536
- imported package nbs


* Tue Sep 25 2012 Oden Eriksson <oeriksson@mandriva.com> 1.0-0.20040615.1mga2
- imported and adapted from Mandriva
